
using AuthStudy.Authentication.Browser;

namespace AuthStudy.WebApp
{
    public class Program
    {
        public static void Main(string[] args)
        {
            WebApplicationBuilder? builder = WebApplication.CreateBuilder(args);

            // Add services to the container.

            builder.Services.AddControllers();
            // Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
            builder.Services.AddEndpointsApiExplorer();
            builder.Services.AddSwaggerGen();

            #region 认证注册
            //builder.Services.AddAuthentication(configOption =>
            //{
            //    configOption.AddScheme<BrowserAuthenticationHandler2<BrowserAuthenticationOptions>>(BrowserAuthenticationDefault.SchemeName, BrowserAuthenticationDefault.DispayName);
            //});
            builder.Services.AddBrowserAuthentication
            (
                BrowserAuthenticationDefault.SchemeName,
                BrowserAuthenticationDefault.DispayName,
                new BrowserAuthenticationOptions()
                {
                    AllowBrowsers = new List<string>() { "Edge" }
                }
            );
            #endregion

            WebApplication? app = builder.Build();

            // Configure the HTTP request pipeline.
            app.UseSwagger();
            app.UseSwaggerUI();

            app.UseAuthentication();
            app.UseAuthorization();

            app.MapControllers();

            app.Run();
        }
    }
}